package com.ym.mec.biz.dal.dto;

import com.ym.mec.auth.api.entity.SysUser;
import com.ym.mec.biz.dal.entity.VipGroup;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.List;

/**
 * @Author Joburgess
 * @Date 2019/9/23
 */
public class VipGroupManageDetailDto extends VipGroup {

    @ApiModelProperty(value = "最新课次",required = false)
    private Integer latestClassTime;

    @ApiModelProperty(value = "科目名称")
    private String subjectName;

    @ApiModelProperty(value = "科目编号列表")
    private String subjectIdList;

    @ApiModelProperty(value = "课程形式")
    private String categoryName;

    @ApiModelProperty(value = "学生数量", required = false)
    private Integer studentNum;

    @ApiModelProperty(value = "小课学院",required = false)
    private List<SysUser> students;

    @ApiModelProperty(value = "教学点名称")
    private String teacherSchoolName;

    private BigDecimal onlineTeacherSalary;

    private BigDecimal offlineTeacherSalary;

    public BigDecimal getOnlineTeacherSalary() {
        return onlineTeacherSalary;
    }

    public void setOnlineTeacherSalary(BigDecimal onlineTeacherSalary) {
        this.onlineTeacherSalary = onlineTeacherSalary;
    }

    public BigDecimal getOfflineTeacherSalary() {
        return offlineTeacherSalary;
    }

    public void setOfflineTeacherSalary(BigDecimal offlineTeacherSalary) {
        this.offlineTeacherSalary = offlineTeacherSalary;
    }

    public String getTeacherSchoolName() {
        return teacherSchoolName;
    }

    public void setTeacherSchoolName(String teacherSchoolName) {
        this.teacherSchoolName = teacherSchoolName;
    }

    public String getCategoryName() {
        return categoryName;
    }

    public void setCategoryName(String categoryName) {
        this.categoryName = categoryName;
    }

    public String getSubjectIdList() {
        return subjectIdList;
    }

    public void setSubjectIdList(String subjectIdList) {
        this.subjectIdList = subjectIdList;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public Integer getLatestClassTime() {
        return latestClassTime;
    }

    public void setLatestClassTime(Integer latestClassTime) {
        this.latestClassTime = latestClassTime;
    }

    @Override
    public Integer getStudentNum() {
        return studentNum;
    }

    @Override
    public void setStudentNum(Integer studentNum) {
        this.studentNum = studentNum;
    }

    public List<SysUser> getStudents() {
        return students;
    }

    public void setStudents(List<SysUser> students) {
        this.students = students;
    }
}
